define("icyWildsComponentsWincapDeclaration", ["componentmodelComponentApi", "icyWildsComponentsWincapPort", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, icyWildsComponentsWincapPort, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof icyWildsComponentsWincapDeclaration == 'undefined') {
            var icyWildsComponentsWincapDeclaration = {};
        };
        icyWildsComponentsWincapDeclaration.WinCapDeclaration = function() {};
        icyWildsComponentsWincapDeclaration.WinCapDeclaration = ck_implements(icyWildsComponentsWincapDeclaration.WinCapDeclaration, componentmodelComponentApi.IComponentDeclaration);
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.__name__ = ["icyWildsComponentsWincapDeclaration", "WinCapDeclaration"];
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.prototype.getImplementedPorts = function() {
            return [icyWildsComponentsWincapPort.IWinCapImplementationPort];
        };
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.prototype.getUsedPorts = function() {
            return [gameLayoutApi.IGameLayoutPort];
        };
        icyWildsComponentsWincapDeclaration.WinCapDeclaration.prototype.__class__ = icyWildsComponentsWincapDeclaration.WinCapDeclaration;
        return {
            exports: icyWildsComponentsWincapDeclaration
        };
    });
//# sourceURL=icyWildsWinCapDeclaration.js